2019-10-15 23:56 EDT


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001513FSSCPuser interfacepublic2007-10-28 17:12
ReporterFUBAR-BDHR 
Assigned Totaylor 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version3.6.9 
Target VersionFixed in Version3.6.10 
Summary0001513: Attempting to create multi pilot on fresh install = crash
DescriptionJust loaded FS2 on a new computer. Ran Turey's installer and installed OpenAL. Launched the program with default FS2 config. Created a multi pilot and tried to select it. Game immediately crashed. Restarted game and could not even click on the multi tab to select the pilot. Created a single player pilot, went into the menu, and exited. Went back in and was able to choose the multi pilot and start the game.

Seems like the game did not like me creating a multi pilot without having a single player one created first. Hard to try to reproduce this one without uninstalling an re-installing. I do have another computer being built that I will try to duplicate this on but that might be for a couple of weeks.
Additional Information3.6.9 final. Not much else to go on.
TagsNo tags attached.
Attached Files
  • txt file icon 10-25-07_error.txt (11,551 bytes) 2007-10-25 20:25 -
    
    
    
    fs2_open_3_6_9 caused an Access Violation in module fs2_open_3_6_9.exe at 001b:004075ca.
    Exception handler called in FreeSpace 2 Main Thread.
    Error occurred at 10/25/2007 15:56:42.
    C:\Games\FreeSpace2\fs2_open_3_6_9.exe, run by Admin.
    4 processor(s), type 586.
    2048 MBytes physical memory.
    Read from location 000000d0 caused an access violation.
    
    Registers:
    EAX=00010000 CS=001b EIP=004075ca EFLGS=00010246
    EBX=00000025 SS=0023 ESP=0012fa50 EBP=0012ff34
    ECX=00000000 DS=0023 ESI=00000001 FS=003b
    EDX=00000000 ES=0023 EDI=00000002 GS=0000
    Bytes at CS:EIP:
    8a 8a d0 00 00 00 51 e8 3a de 16 00 83 c4 0c 5e 
    Stack dump:
    0012fa50: 3f800000 00000000 00000001 004dc38c 00000025 00000001 00000025 00000001
    0012fa70: 00000025 00000000 ffffffff 00406750 00000001 00000000 5ed00000 00000064
    0012fa90: 0012fb28 7e41c96c ffffffff 0012ff34 00504539 0012fabc 00000000 00000000
    0012fab0: 00000000 00000001 00000000 004080db 00000001 004dc5dd 00000025 00000000
    0012fad0: 0012fb28 00000000 004089f0 00000020 0000001f 7ff1b000 5802f000 ffffffff
    0012faf0: ffffffff 7ffe0000 7c212000 00408ae8 0014238c 00979d00 00000000 7ffd7000
    0012fb10: 02000200 475c3a43 73656d61 6572465c 61705365 00326563 5f327366 6e65706f
    0012fb30: 365f335f 652e395f 03006578 032c0640 02100210 02140214 03120210 032c3738
    0012fb50: 02140210 02100312 032c0178 00000000 03010301 03010301 03010301 03010301
    0012fb70: 03010301 032c2430 00000004 0012fbb0 032c0000 7c910732 00000007 032c07d8
    0012fb90: 032c0000 032c48c0 0012fb88 032c0000 0012fdcc 7c90ee18 7c910738 ffffffff
    0012fbb0: 7c910732 7c9106ab 7c9106eb 032c48a0 0000001f 032c48a0 00000003 032c0718
    0012fbd0: 032c0000 00000000 0012fbc8 032c0640 0012fe0c 032c0000 0012fc1c 032c0000
    0012fbf0: 7c910732 00000007 032c07d8 032c0000 032c4888 0012fbf4 00140778 0012fe38
    0012fc10: 7c90ee18 7c910738 ffffffff 7c910732 7c9106ab 7c9106eb 02490878 02490878
    0012fc30: 7ffd7001 7c9106eb 02490b30 0012ff14 00000000 0012fc78 0012fc7c 032c0000
    0012fc50: 7c90d4ea 7c9180ff ffffffff 0012fc90 00000000 0012fcb4 00001000 00000004
    0012fc70: 032c0000 032c7000 032c0000 032c6a70 0012fcb0 032c6a70 032c6a70 0012fcbc
    0012fc90: 7c917e77 032c0000 032c71e8 032c6a70 000000ed 032c0000 00000740 00000760
    0012fcb0: 032c3738 000001c3 0112fea4 0012fea8 7c917c0c 032c0000 00000001 7c917bf5
    0012fcd0: 032c0608 7c917bb0 00000000 00000770 032c6a78 032c02e0 00000010 00140178
    0012fcf0: 032c01a0 7c8446f6 00000008 00000000 032c0178 032c6a78 032c0178 032c4840
    0012fd10: 032c6a60 0014d358 00000008 032c0188 00000020 032c0178 032c01a0 032c6a78
    0012fd30: 032c01b0 00000008 032c2790 032c0178 032c0428 00140178 7c910f46 0014d338
    0012fd50: 032c0178 032c0000 0012fd68 00000000 00140178 032c4880 0014d360 0012fd7c
    0012fd70: 00000000 7c9105c8 00000007 0012fe48 7c910551 032c1138 00000008 00000001
    0012fd90: 00000008 00000008 032c27b8 032c6470 032c6a70 032c24a8 032c6a70 032c6a70
    0012fdb0: 032c6a60 032c0428 00000038 03004160 032c0000 0012fbbc 00140178 0012fe08
    0012fdd0: 7c90ee18 7c9106f0 ffffffff 7c9106eb 00667d85 032c0000 00000000 00000030
    0012fdf0: 032c48a0 0000001f 032c48a0 00000000 032c6a40 0012fbfc 0012fe50 00666d58
    0012fe10: 006c87d8 ffffffff 0012fe5c 00667c7c 00000021 00667177 00000021 02490878
    0012fe30: 00000000 00000000 000000e9 000000ed 00000000 032c6a78 02490878 02490878
    0012fe50: 7ffd7001 006c0b10 00000000 00000001 7c80977a 024914e8 00000000 032c0000
    0012fe70: 032c0000 00000740 00000760 000000ef 01000758 00000778 0249096c 0012fcd4
    0012fe90: 0012fcd8 0012fef0 0012fef4 7c90ee18 7c917bb8 ffffffff 7c917bb0 0066ab98
    0012feb0: 032c0000 00000001 032c6a78 00000770 00979d00 00000764 7c910945 7c91094e
    0012fed0: 00979d00 00020000 7ffd7000 7ffd7000 00979d00 7ffd7000 7c901005 0012fed0
    0012fef0: 0012ffb0 0012ff30 7c90ee18 7c910970 7c97e4c0 7c8021b5 7c802011 00979d00
    0012ff10: 00000000 ffffffff 006dae18 0012fb04 0012f674 0012ffb0 00666d58 006c66a0
    0012ff30: 00000000 0012ffc0 00667319 00400000 00000000 0014238c 0000000a 00979d00
    0012ff50: 7c91094e 7ffd7000 ff676980 0014238c c0716a88 00000044 001444e8 00144610
    0012ff70: 00144628 00000000 00000000 00000000 00000000 00000000 00000000 00000000
    0012ff90: 00000000 00000000 00000000 ffffffff ffffffff ffffffff 0012ff4c aaf4ed08
    0012ffb0: 0012ffe0 00666d58 006c87b0 00000000 0012fff0 7c816fd7 00979d00 7c91094e
    0012ffd0: 7ffd7000 8054a6ed 0012ffc8 886bcb08 ffffffff 7c839aa8 7c816fe0 00000000
    0012fff0: 00000000 00000000 00667239 00000000
    
    	Module list: names, addresses, sizes, time stamps and file times:
    C:\Games\FreeSpace2\fs2_open_3_6_9.exe, loaded at 0x00400000 - 3534848 bytes - 45a7185d - file date is 10/24/2007 17:13:22
    C:\WINDOWS\system32\wrap_oal.dll, loaded at 0x036a0000 - 413696 bytes - 44b6c3e5 - file date is 10/25/2007 15:56:02
    C:\WINDOWS\system32\OpenAL32.dll, loaded at 0x10000000 - 86016 bytes - 43cc4464 - file date is 10/25/2007 15:56:02
    C:\WINDOWS\system32\iertutil.dll, loaded at 0x42990000 - 267776 bytes - 46c96738 - file date is 8/20/2007 06:04:38
    C:\WINDOWS\system32\urlmon.dll, loaded at 0x42cf0000 - 1152000 bytes - 46c9673a - file date is 8/20/2007 06:04:42
    C:\WINDOWS\system32\uxtheme.dll, loaded at 0x5ad70000 - 218624 bytes - 411096bb - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\NETAPI32.dll, loaded at 0x5b860000 - 332288 bytes - 44e460eb - file date is 8/17/2006 08:28:28
    C:\WINDOWS\system32\COMCTL32.dll, loaded at 0x5d090000 - 617472 bytes - 44ef1b36 - file date is 8/25/2006 11:45:58
    C:\WINDOWS\system32\OPENGL32.dll, loaded at 0x5ed00000 - 713728 bytes - 411096f8 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\hnetcfg.dll, loaded at 0x662b0000 - 344064 bytes - 411096a0 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\HID.DLL, loaded at 0x688f0000 - 20992 bytes - 4110969c - file date is 8/4/2004 01:05:44
    C:\WINDOWS\system32\GLU32.dll, loaded at 0x68b20000 - 122880 bytes - 41109697 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\atioglx2.dll, loaded at 0x69000000 - 8237056 bytes - 46aab9bd - file date is 7/27/2007 23:37:08
    C:\Program Files\Common Files\Microsoft Shared\Speech\sapi.dll, loaded at 0x6d6e0000 - 741376 bytes - 411096b0 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\d3d8thk.dll, loaded at 0x6d990000 - 8192 bytes - 41109692 - file date is 8/4/2004 00:56:42
    C:\WINDOWS\system32\d3d8.dll, loaded at 0x6d9a0000 - 1179648 bytes - 41109692 - file date is 8/4/2004 00:56:42
    C:\WINDOWS\system32\mswsock.dll, loaded at 0x71a50000 - 245248 bytes - 41109758 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\System32\wshtcpip.dll, loaded at 0x71a90000 - 19968 bytes - 411096fd - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\WS2HELP.dll, loaded at 0x71aa0000 - 19968 bytes - 411096f3 - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\WS2_32.dll, loaded at 0x71ab0000 - 82944 bytes - 411096f2 - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\WSOCK32.dll, loaded at 0x71ad0000 - 22528 bytes - 411096ff - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\DINPUT.dll, loaded at 0x72280000 - 159232 bytes - 411096af - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\msacm32.drv, loaded at 0x72d10000 - 20480 bytes - 3b7dfe2a - file date is 8/23/2001 08:00:00
    C:\WINDOWS\system32\wdmaud.drv, loaded at 0x72d20000 - 23552 bytes - 411096c6 - file date is 8/4/2004 00:56:58
    C:\WINDOWS\system32\DDRAW.dll, loaded at 0x73760000 - 266240 bytes - 411096a0 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\DCIMAN32.dll, loaded at 0x73bc0000 - 8704 bytes - 4110969f - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\KsUser.dll, loaded at 0x73ee0000 - 4096 bytes - 411096ad - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\dsound.dll, loaded at 0x73f10000 - 367616 bytes - 411096d4 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\MSCTF.dll, loaded at 0x74720000 - 294400 bytes - 411096ea - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\msctfime.ime, loaded at 0x755c0000 - 177152 bytes - 411096eb - file date is 8/4/2004 00:56:14
    C:\WINDOWS\system32\IMM32.DLL, loaded at 0x76390000 - 110080 bytes - 411096ae - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\SHFOLDER.dll, loaded at 0x76780000 - 25088 bytes - 411096b8 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\WINMM.dll, loaded at 0x76b40000 - 176128 bytes - 411096d6 - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\WINTRUST.dll, loaded at 0x76c30000 - 176640 bytes - 411096b9 - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\IMAGEHLP.dll, loaded at 0x76c90000 - 144384 bytes - 411096a9 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\iphlpapi.dll, loaded at 0x76d60000 - 94720 bytes - 446dc13d - file date is 5/19/2006 08:59:42
    C:\WINDOWS\system32\rtutils.dll, loaded at 0x76e80000 - 44032 bytes - 411096b4 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\rasman.dll, loaded at 0x76e90000 - 61440 bytes - 411096ad - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\TAPI32.dll, loaded at 0x76eb0000 - 181760 bytes - 411096b6 - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\rasapi32.dll, loaded at 0x76ee0000 - 236544 bytes - 411096a9 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\CLBCATQ.DLL, loaded at 0x76fd0000 - 498688 bytes - 42e5be90 - file date is 7/26/2005 00:39:44
    C:\WINDOWS\system32\COMRes.dll, loaded at 0x77050000 - 792064 bytes - 411096b4 - file date is 8/4/2004 00:56:42
    C:\WINDOWS\system32\OLEAUT32.dll, loaded at 0x77120000 - 549376 bytes - 464c3c45 - file date is 5/17/2007 07:28:06
    C:\WINDOWS\WinSxS\x86_Microsoft.Windows.Common-Controls_6595b64144ccf1df_6.0.2600.2982_x-ww_ac3f9c03\comctl32.dll, loaded at 0x773d0000 - 1054208 bytes - 44ef1b33 - file date is 8/25/2006 11:45:56
    C:\WINDOWS\system32\ole32.dll, loaded at 0x774e0000 - 1285120 bytes - 42e5be93 - file date is 7/26/2005 00:39:48
    C:\WINDOWS\system32\SETUPAPI.DLL, loaded at 0x77920000 - 983552 bytes - 411096b0 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\CRYPT32.dll, loaded at 0x77a80000 - 597504 bytes - 41109691 - file date is 8/4/2004 00:56:42
    C:\WINDOWS\system32\MSASN1.dll, loaded at 0x77b20000 - 57344 bytes - 411096e3 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\midimap.dll, loaded at 0x77bd0000 - 18944 bytes - 411096a9 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\MSACM32.dll, loaded at 0x77be0000 - 71680 bytes - 411096cf - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\VERSION.dll, loaded at 0x77c00000 - 18944 bytes - 411096b7 - file date is 8/4/2004 00:56:48
    C:\WINDOWS\system32\msvcrt.dll, loaded at 0x77c10000 - 343040 bytes - 41109752 - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\msv1_0.dll, loaded at 0x77c70000 - 129536 bytes - 4110974f - file date is 8/4/2004 00:56:44
    C:\WINDOWS\system32\ADVAPI32.dll, loaded at 0x77dd0000 - 616960 bytes - 411096a7 - file date is 8/4/2004 00:56:42
    C:\WINDOWS\system32\RPCRT4.dll, loaded at 0x77e70000 - 584192 bytes - 46923396 - file date is 7/9/2007 09:09:42
    C:\WINDOWS\system32\GDI32.dll, loaded at 0x77f10000 - 282112 bytes - 4677daa7 - file date is 6/19/2007 09:31:20
    C:\WINDOWS\system32\SHLWAPI.dll, loaded at 0x77f60000 - 474112 bytes - 467249ed - file date is 6/15/2007 04:12:30
    C:\WINDOWS\system32\Secur32.dll, loaded at 0x77fe0000 - 55808 bytes - 411096c1 - file date is 8/4/2004 00:56:46
    C:\WINDOWS\system32\kernel32.dll, loaded at 0x7c800000 - 984576 bytes - 46239bd5 - file date is 4/16/2007 11:52:54
    C:\WINDOWS\system32\ntdll.dll, loaded at 0x7c900000 - 708096 bytes - 411096b4 - file date is 8/4/2004 00:56:38
    C:\WINDOWS\system32\USER32.dll, loaded at 0x7e410000 - 577536 bytes - 45f02d7c - file date is 3/8/2007 11:36:28
    
    txt file icon 10-25-07_error.txt (11,551 bytes) 2007-10-25 20:25 +
  • rar file icon core2quad-10-25-07.rar (7,277 bytes) 2007-10-25 21:18
  • rar file icon Core2Quad-10-25-07b.rar (7,454 bytes) 2007-10-25 21:26

-Relationships
has duplicate 0001536resolvedtaylor Game crash on pilot selection screen. 
+Relationships

-Notes

~0008591

FUBAR-BDHR (developer)

I was able to reproduce this by deleting the single player pilot, exiting the game and going back in. If I just pick the multi pilot it works. If I go to the single tab then back to the multi tab without creating a single player pilot it crashes.

~0008592

FUBAR-BDHR (developer)

Just tested the 10-22 build and received the same error.

~0008593

taylor (administrator)

The not-being-able-to-create thing is a known issue, and not really a bug. The game simply does a check to see if the last pilot used was a single or multi player, then jumps to that part of the menu. If no pilot exists (usually happens when you remove all pilots) then it will force you to create a pilot before you can switch between single/multi again. It can be rather annoying, but we aren't like to change how that works (anytime soon at least).

It's certainly not supposed to crash either way though, so I'll take a look at that.

~0008594

FUBAR-BDHR (developer)

Actually it will let you switch between single/multi if no pilot exists just by hitting ESC then clicking on the single/multi tab.

~0008595

taylor (administrator)

Hmmm, didn't do that for me last time I tried it.

But, the bug is fixed either way. I was a simple case of a pilot-file-fix gone wrong. In order to prevent pilot file corruption, it was necessary to allow you to exit the pilotslect menu without the game trying to save the selected pilot. And you would do this by pressing ESC. Unfortunately, this was intended solely for the purposes of exiting the game, so when you do it to escape from the text input it set this variable which said that the game was going to exit and to not save the current pilot. This also made it avoid setting up various player pointers and that's where the crash was coming from.

There will be a new build at some point this weekend with this. And I'll mark this bug as resolved once I have a chance to commit the fix to CVS.

~0008610

taylor (administrator)

Fixered.
+Notes

-Issue History
Date Modified Username Field Change
2007-10-25 20:25 FUBAR-BDHR New Issue
2007-10-25 20:25 FUBAR-BDHR File Added: 10-25-07_error.txt
2007-10-25 21:18 FUBAR-BDHR File Added: core2quad-10-25-07.rar
2007-10-25 21:20 FUBAR-BDHR Note Added: 0008591
2007-10-25 21:26 FUBAR-BDHR File Added: Core2Quad-10-25-07b.rar
2007-10-25 21:28 FUBAR-BDHR Note Added: 0008592
2007-10-25 23:41 taylor Note Added: 0008593
2007-10-25 23:41 taylor Status new => assigned
2007-10-25 23:41 taylor Assigned To => taylor
2007-10-26 02:05 FUBAR-BDHR Note Added: 0008594
2007-10-26 03:47 taylor Note Added: 0008595
2007-10-28 17:12 taylor Status assigned => resolved
2007-10-28 17:12 taylor Fixed in Version => 3.6.10
2007-10-28 17:12 taylor Resolution open => fixed
2007-10-28 17:12 taylor Note Added: 0008610
2007-12-04 05:54 taylor Relationship added has duplicate 0001536
+Issue History